<template functional>
  <div class="inline-flex border border-orange-200 align-middle my-2">
    <slot /><template v-if="!!$slots.default">=</template>
    <div class="min-flex phonem bg-red-300" title="Consonant">
      {{ props.consonant
      }}<template v-if="props.consonantCombinator"
        >+</template
      >{{ props.consonantCombinator }}
    </div>
    <div class="min-flex phonem bg-green-300" title="Vowel">{{ props.vowel }}</div>
    <div class="min-flex phonem bg-blue-300" title="EndOfSyllable">{{ props.endOfSyllable }}</div>
    <div class="min-flex phonem bg-gray-100" title="ToneSentenceMark">{{ props.toneSentencemark }}</div>
  </div>
</template>

<script>
/*
grid grid-cols-4
col-span-1
*/
export default {
  name: "display-syllable",
  props: {
    consonant: String,
    consonantCombinator: String,
    vowel: String,
    endOfSyllable: String,
    toneSentencemark: String,
  },
};
</script>

<style>
.phonem {
  @apply border border-blue-200 text-center px-2 py-1;
}
</style>
